doctype html
html.h-100(lang='en')
  head
    meta(charset='utf-8')
    meta(http-equiv='X-UA-Compatible' content='IE=edge')
    meta(name='keywords' content='')
    meta(name='author' content='')
    meta(name='robots' content='')
    meta(name='viewport' content='width=device-width, initial-scale=1')
    meta(name='description' content='Jobick : Job Admin Bootstrap 5 Template')
    meta(property='og:title' content='Jobick : Job Admin Bootstrap 5 Template')
    meta(property='og:description' content='Jobick : Job Admin Bootstrap 5 Template')
    meta(property='og:image' content='https://jobick.dexignlab.com/xhtml/social-image.png')
    meta(name='format-detection' content='telephone=no')
    // PAGE TITLE HERE
    title Auct Auctions
    // FAVICONS ICON
    link(rel='shortcut icon' type='image/png' href='/images/favicon.png')
    link(href='/css/style.css' rel='stylesheet')
    link(href='/vendor/sweetalert2/dist/sweetalert2.min.css' rel='stylesheet')
  body.vh-100
    .authincation.h-100
      .container.h-100
        .row.justify-content-center.h-100.align-items-center
          .col-md-6
            .authincation-content
              .row.no-gutters
                .col-xl-12
                  .auth-form
                    .text-center.mb-3
                      a(href='index.html')
                        img(src='images/logo-auction.png' width="90%")
                    .text-center.mb-4 Please log in.
                    form(action='index.html')
                      .mb-3
                        label.mb-1
                          strong Username
                        input.form-control(type='email' value='' id='email')
                      .mb-3
                        label.mb-1
                          strong Password
                        input.form-control(type='password' value='' id='password')
                      .row.d-flex.justify-content-between.mt-4.mb-2
                        .mb-3
                          a(href='users/register') Register

                      .text-center
                        button.btn.btn-primary.btn-block(type='button' id='btn_login') Login

    Scripts
    // Required vendors
    script(src='/vendor/global/global.min.js')
    script(src='/js/custom.min.js')
    script(src='/js/dlabnav-init.js')
    script(src='/vendor/sweetalert2/dist/sweetalert2.min.js')
    script.
      localStorage.setItem("access_token", "");
      localStorage.setItem("expires_in", "");

      $(document).on('keypress',function(e) {
        if(e.which == 13) {
          $("#btn_login").click();
        }
      });

      $("#btn_check").click(function () {
        const access_token = localStorage.getItem("access_token");
        const expires_in = localStorage.getItem("expires_in");
        console.log(access_token);
        console.log(expires_in);
      });

      $("#btn_login").click(function () {
        const email = $("#email").val();
        const password = $("#password").val();
        console.log("eiei " + email);
        console.log("eiei " + password);
        login(email, password);
      });

      function login(email, password) {
        $.ajax({
          url: "users/login",
          method: "POST",
          dataType: "json",
          data: {
            email: email,
            password: password,
          },
          success: function (data, status, xhr) {
            if (xhr.status == 200 && data.result == true) {
              localStorage.setItem("access_token", data.access_token);
              localStorage.setItem("expires_in", data.expires_in);
              localStorage.setItem("user_id", data.id);
              localStorage.setItem("name", data.name);
              localStorage.setItem("email", data.email);
              localStorage.setItem("auction_board", data.auction_board);
              localStorage.setItem("credit_limit", data.credit_limit);

              if(data.role=='admin'){
                window.location.replace("dashboard");
              }else if(data.role=='member'){
                window.location.replace("home");
              }
              console.log(data)
              //window.location.replace("home");
            }else{
              sweetAlert("Warning...", data.message, "error");
            }
            console.log(data.result);
            console.log(status);
            console.log(xhr.status);
          },
          error: function (xhr, ajaxOptions, thrownError) {
            console.log(xhr)
            console.log(thrownError)
            console.log(ajaxOptions)
            swal("Warning...", xhr.responseJSON.error.message, "error");
          },
        });
      }
